| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/memheap.h File Reference

Separate memory heap. More...

`#include "csutil/spinlock.h"`

Go to the source code of this file.

## Namespaces
namespace | CS
namespace | CS::Memory
## Classes
class | CS::Memory::AllocatorHeap< HeapPtr >
| A memory allocator that allocates from a heap. More...
class | CS::Memory::AllocatorHeapBase< HeapAccess >
| A memory allocator that allocates from a heap. More...
class | CS::Memory::Heap
| A separate heap from which memory can be allocated. More...
struct | CS::Memory::HeapAccessPointer< HeapContainer >
| Heap accessor for AllocatorHeapBase. More...

## Detailed Description

Separate memory heap.

Definition in file memheap.h.